//this source code was auto-generated by tolua#, do not modify it
using System;
using LuaInterface;

public class UIRect_AnchorPointWrap
{
	public static void Register(LuaState L)
	{
		L.BeginClass(typeof(UIRect.AnchorPoint), typeof(System.Object));
		L.RegFunction("Set",FUNCTAG_Set);
		L.RegFunction("SetToNearest",FUNCTAG_SetToNearest);
		L.RegFunction("SetHorizontal",FUNCTAG_SetHorizontal);
		L.RegFunction("SetVertical",FUNCTAG_SetVertical);
		L.RegFunction("GetSides",FUNCTAG_GetSides);
		L.RegFunction("New",FUNCTAG__CreateUIRect_AnchorPoint);
		L.RegFunction("__tostring",ToLua.op_ToString);
		L.RegVar("target",FUNCTAG_get_target, FUNCTAG_set_target);
		L.RegVar("relative",FUNCTAG_get_relative, FUNCTAG_set_relative);
		L.RegVar("absolute",FUNCTAG_get_absolute, FUNCTAG_set_absolute);
		L.RegVar("rect",FUNCTAG_get_rect, FUNCTAG_set_rect);
		L.RegVar("targetCam",FUNCTAG_get_targetCam, FUNCTAG_set_targetCam);
		L.EndClass();
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG__CreateUIRect_AnchorPoint(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);

			if (count == 0)
			{
				UIRect.AnchorPoint obj = new UIRect.AnchorPoint();
				ToLua.PushObject(L, obj);
				return 1;
			}
			else if (count == 1 && TypeChecker.CheckTypes(L, 1, typeof(float)))
			{
				float arg0 = (float)LuaDLL.luaL_checknumber(L, 1);
				UIRect.AnchorPoint obj = new UIRect.AnchorPoint(arg0);
				ToLua.PushObject(L, obj);
				return 1;
			}
			else
			{
				return LuaDLL.luaL_throw(L, "invalid arguments to ctor method: UIRect.AnchorPoint.New");
			}
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_Set(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);

			if (count == 3 && TypeChecker.CheckTypes(L, 1, typeof(UIRect.AnchorPoint), typeof(float), typeof(float)))
			{
				UIRect.AnchorPoint obj = (UIRect.AnchorPoint)ToLua.ToObject(L, 1);
				float arg0 = (float)LuaDLL.lua_tonumber(L, 2);
				float arg1 = (float)LuaDLL.lua_tonumber(L, 3);
				obj.Set(arg0, arg1);
				return 0;
			}
			else if (count == 4 && TypeChecker.CheckTypes(L, 1, typeof(UIRect.AnchorPoint), typeof(UnityEngine.Transform), typeof(float), typeof(float)))
			{
				UIRect.AnchorPoint obj = (UIRect.AnchorPoint)ToLua.ToObject(L, 1);
				UnityEngine.Transform arg0 = (UnityEngine.Transform)ToLua.ToObject(L, 2);
				float arg1 = (float)LuaDLL.lua_tonumber(L, 3);
				float arg2 = (float)LuaDLL.lua_tonumber(L, 4);
				obj.Set(arg0, arg1, arg2);
				return 0;
			}
			else
			{
				return LuaDLL.luaL_throw(L, "invalid arguments to method: UIRect.AnchorPoint.Set");
			}
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_SetToNearest(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);

			if (count == 4 && TypeChecker.CheckTypes(L, 1, typeof(UIRect.AnchorPoint), typeof(float), typeof(float), typeof(float)))
			{
				UIRect.AnchorPoint obj = (UIRect.AnchorPoint)ToLua.ToObject(L, 1);
				float arg0 = (float)LuaDLL.lua_tonumber(L, 2);
				float arg1 = (float)LuaDLL.lua_tonumber(L, 3);
				float arg2 = (float)LuaDLL.lua_tonumber(L, 4);
				obj.SetToNearest(arg0, arg1, arg2);
				return 0;
			}
			else if (count == 7 && TypeChecker.CheckTypes(L, 1, typeof(UIRect.AnchorPoint), typeof(float), typeof(float), typeof(float), typeof(float), typeof(float), typeof(float)))
			{
				UIRect.AnchorPoint obj = (UIRect.AnchorPoint)ToLua.ToObject(L, 1);
				float arg0 = (float)LuaDLL.lua_tonumber(L, 2);
				float arg1 = (float)LuaDLL.lua_tonumber(L, 3);
				float arg2 = (float)LuaDLL.lua_tonumber(L, 4);
				float arg3 = (float)LuaDLL.lua_tonumber(L, 5);
				float arg4 = (float)LuaDLL.lua_tonumber(L, 6);
				float arg5 = (float)LuaDLL.lua_tonumber(L, 7);
				obj.SetToNearest(arg0, arg1, arg2, arg3, arg4, arg5);
				return 0;
			}
			else
			{
				return LuaDLL.luaL_throw(L, "invalid arguments to method: UIRect.AnchorPoint.SetToNearest");
			}
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_SetHorizontal(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 3);
			UIRect.AnchorPoint obj = (UIRect.AnchorPoint)ToLua.CheckObject(L, 1, typeof(UIRect.AnchorPoint));
			UnityEngine.Transform arg0 = (UnityEngine.Transform)ToLua.CheckUnityObject(L, 2, typeof(UnityEngine.Transform));
			float arg1 = (float)LuaDLL.luaL_checknumber(L, 3);
			obj.SetHorizontal(arg0, arg1);
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_SetVertical(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 3);
			UIRect.AnchorPoint obj = (UIRect.AnchorPoint)ToLua.CheckObject(L, 1, typeof(UIRect.AnchorPoint));
			UnityEngine.Transform arg0 = (UnityEngine.Transform)ToLua.CheckUnityObject(L, 2, typeof(UnityEngine.Transform));
			float arg1 = (float)LuaDLL.luaL_checknumber(L, 3);
			obj.SetVertical(arg0, arg1);
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_GetSides(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			UIRect.AnchorPoint obj = (UIRect.AnchorPoint)ToLua.CheckObject(L, 1, typeof(UIRect.AnchorPoint));
			UnityEngine.Transform arg0 = (UnityEngine.Transform)ToLua.CheckUnityObject(L, 2, typeof(UnityEngine.Transform));
			UnityEngine.Vector3[] o = obj.GetSides(arg0);
			ToLua.Push(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_target(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIRect.AnchorPoint obj = (UIRect.AnchorPoint)o;
			UnityEngine.Transform ret = obj.target;
			ToLua.Push(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index target on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_relative(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIRect.AnchorPoint obj = (UIRect.AnchorPoint)o;
			float ret = obj.relative;
			LuaDLL.lua_pushnumber(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index relative on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_absolute(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIRect.AnchorPoint obj = (UIRect.AnchorPoint)o;
			int ret = obj.absolute;
			LuaDLL.lua_pushinteger(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index absolute on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_rect(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIRect.AnchorPoint obj = (UIRect.AnchorPoint)o;
			UIRect ret = obj.rect;
			ToLua.Push(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index rect on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_targetCam(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIRect.AnchorPoint obj = (UIRect.AnchorPoint)o;
			UnityEngine.Camera ret = obj.targetCam;
			ToLua.Push(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index targetCam on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_target(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIRect.AnchorPoint obj = (UIRect.AnchorPoint)o;
			UnityEngine.Transform arg0 = (UnityEngine.Transform)ToLua.CheckUnityObject(L, 2, typeof(UnityEngine.Transform));
			obj.target = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index target on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_relative(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIRect.AnchorPoint obj = (UIRect.AnchorPoint)o;
			float arg0 = (float)LuaDLL.luaL_checknumber(L, 2);
			obj.relative = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index relative on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_absolute(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIRect.AnchorPoint obj = (UIRect.AnchorPoint)o;
			int arg0 = (int)LuaDLL.luaL_checknumber(L, 2);
			obj.absolute = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index absolute on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_rect(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIRect.AnchorPoint obj = (UIRect.AnchorPoint)o;
			UIRect arg0 = (UIRect)ToLua.CheckUnityObject(L, 2, typeof(UIRect));
			obj.rect = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index rect on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_targetCam(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UIRect.AnchorPoint obj = (UIRect.AnchorPoint)o;
			UnityEngine.Camera arg0 = (UnityEngine.Camera)ToLua.CheckUnityObject(L, 2, typeof(UnityEngine.Camera));
			obj.targetCam = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index targetCam on a nil value" : e.Message);
		}
	}
}

